# Draw
TKTopTest
MeshTest

# MeshTest_DrawableMesh Class Reference

A drawable mesh. It contains a sequence of
highlighted edges and highlighted vertices.
.

`#include <MeshTest_DrawableMesh.hxx>`

Inheritance diagram for MeshTest_DrawableMesh:

[legend]

## Public Member Functions

Standard_EXPORT | MeshTest_DrawableMesh ()
Standard_EXPORT | MeshTest_DrawableMesh (const TopoDS_Shape &S, const Standard_Real Deflect, const Standard_Boolean Partage, const Standard_Boolean InShape=Standard_False)
Standard_EXPORT | MeshTest_DrawableMesh (const Handle(BRepMesh_FastDiscret)&Tr)
Standard_EXPORT void | AddInShape (const Standard_Boolean inshape)
Standard_EXPORT void | Add (const TopoDS_Shape &S)
Standard_EXPORT TColStd_SequenceOfInteger & | Edges ()
Standard_EXPORT TColStd_SequenceOfInteger & | Vertices ()
Standard_EXPORT TColStd_SequenceOfInteger & | Triangles ()
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
virtual Standard_EXPORT Handle_Draw_Drawable3D | Copy () const
| For variable copy. .
Standard_EXPORT void | SetDrawableUV (const Handle(MeshTest_DrawableUVDomain)&d)
Standard_EXPORT const Handle_MeshTest_DrawableUVDomain & | DrawableUV () const
Standard_EXPORT Handle_MeshTest_DrawableUVDomain & | ChangeDrawableUV ()
virtual Standard_EXPORT void | Dump (Standard_OStream &S) const
| For variable dump. .
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &S) const
| For variable whatis command. Set as a result the type of the variable. .
Standard_EXPORT Handle_BRepMesh_FastDiscret | Mesh () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_BRepMesh_FastDiscret | myMesh
Standard_Real | myDeflection
TColStd_SequenceOfInteger | myEdges
TColStd_SequenceOfInteger | myVertices
TColStd_SequenceOfInteger | myTriangles
Handle_MeshTest_DrawableUVDomain | myDrawableUV
Standard_Boolean | myinshape

## Constructor & Destructor Documentation

Standard_EXPORT MeshTest_DrawableMesh::MeshTest_DrawableMesh | ( |  | ) |

Standard_EXPORT MeshTest_DrawableMesh::MeshTest_DrawableMesh | ( | const TopoDS_Shape & | S,
|  | const Standard_Real | Deflect,
|  | const Standard_Boolean | Partage,
|  | const Standard_Boolean | InShape = `Standard_False`
| ) |

Standard_EXPORT MeshTest_DrawableMesh::MeshTest_DrawableMesh | ( | const Handle(BRepMesh_FastDiscret)& | Tr | ) |

## Member Function Documentation

Standard_EXPORT void MeshTest_DrawableMesh::Add | ( | const TopoDS_Shape & | S | ) |

Standard_EXPORT void MeshTest_DrawableMesh::AddInShape | ( | const Standard_Boolean | inshape | ) |

Standard_EXPORT Handle_MeshTest_DrawableUVDomain& MeshTest_DrawableMesh::ChangeDrawableUV | ( |  | ) |

virtual Standard_EXPORT Handle_Draw_Drawable3D MeshTest_DrawableMesh::Copy | ( |  | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT const Handle_MeshTest_DrawableUVDomain& MeshTest_DrawableMesh::DrawableUV | ( |  | ) | const

Standard_EXPORT void MeshTest_DrawableMesh::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

virtual Standard_EXPORT void MeshTest_DrawableMesh::Dump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT TColStd_SequenceOfInteger& MeshTest_DrawableMesh::Edges | ( |  | ) |

Standard_EXPORT const MeshTest_DrawableMesh::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT Handle_BRepMesh_FastDiscret MeshTest_DrawableMesh::Mesh | ( |  | ) | const

Standard_EXPORT void MeshTest_DrawableMesh::SetDrawableUV | ( | const Handle(MeshTest_DrawableUVDomain)& | d | ) |

Standard_EXPORT TColStd_SequenceOfInteger& MeshTest_DrawableMesh::Triangles | ( |  | ) |

Standard_EXPORT TColStd_SequenceOfInteger& MeshTest_DrawableMesh::Vertices | ( |  | ) |

virtual Standard_EXPORT void MeshTest_DrawableMesh::Whatis | ( | Draw_Interpretor & | S | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

## Field Documentation

Standard_Real MeshTest_DrawableMesh::myDeflection `[private]`

Handle_MeshTest_DrawableUVDomain MeshTest_DrawableMesh::myDrawableUV `[private]`

TColStd_SequenceOfInteger MeshTest_DrawableMesh::myEdges `[private]`

Standard_Boolean MeshTest_DrawableMesh::myinshape `[private]`

Handle_BRepMesh_FastDiscret MeshTest_DrawableMesh::myMesh `[private]`

TColStd_SequenceOfInteger MeshTest_DrawableMesh::myTriangles `[private]`

TColStd_SequenceOfInteger MeshTest_DrawableMesh::myVertices `[private]`

The documentation for this class was generated from the following file:

- MeshTest_DrawableMesh.hxx